> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# A file or clause the document links to

> Public, with a signature-guest-token.

The content of a document, PDF or another document's clause that the copy links to, read with the sender's access; only what the copy linked to when sent, and only while the sender can still open it.



## OpenAPI

````yaml get /signature/guest/requests/{requestId}/reference/{id}
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /signature/guest/requests/{requestId}/reference/{id}:
    get:
      tags:
        - Signatures
      summary: A file or clause the document links to
      description: >-
        Public, with a signature-guest-token.


        The content of a document, PDF or another document's clause that the
        copy links to, read with the sender's access; only what the copy linked
        to when sent, and only while the sender can still open it.
      operationId: getSignatureGuestReference
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: requestId
          in: path
        - schema:
            type: string
            minLength: 1
          required: true
          name: id
          in: path
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
          required: false
          name: includeParentSection
          in: query
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data: {}
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '415':
          description: 415 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.